import request from '../request'

// 查询测试者认证申请列表
export function listTesterApply(query) {
  return request({
    url: '/tester/TesterApply/list',
    method: 'get',
    params: query
  })
}

// 查询未审核测试者认证申请列表
export function unaudit(query) {
  return request({
    url: '/tester/TesterApply/unaudit',
    method: 'get',
    params: query
  })
}

// 查询测试者认证申请详细
export function getTesterApply(applyId) {
  return request({
    url: '/tester/TesterApply/' + applyId,
    method: 'get'
  })
}

// // 查询测试者认证申请所有相关文件
// export function getAllFileInfo(applyId) {
//   return request({
//     url: '/tester/TesterApply/FileInfo/' + applyId,
//     method: 'get'
//   })
// }

// 通过用户ID查询测试者认证申请详细
export function getTesterApplyByUid(userID) {
  return request({
    url: '/tester/TesterApply/uid/' + userID,
    method: 'get'
  })
}

// 新增普通用户升级为个人测试者认证申请
export function addTesterApply(data) {
  return request({
    url: '/tester/TesterApply/add',
    method: 'post',
    data: data
  })
}

// 新增普通用户升级为企业测试者认证申请
export function addP2CT(data) {
  return request({
    url: '/tester/TesterApply/addP2CT',
    method: 'post',
    data: data
  })
}

// 新增企业升级为企业测试者认证申请
export function addC2CT(data) {
  return request({
    url: '/tester/TesterApply/addC2CT',
    method: 'post',
    data: data
  })
}

// 查询认证状态
export function certificationStatus() {
  return request({
    url: '/tester/TesterApply/certificationStatus',
    method: 'get'
  })
}

// 修改测试者认证申请
// export function updateTesterApply(data) {
//   return request({
//     url: '/tester/TesterApply',
//     method: 'put',
//     data: data
//   })
// }

// 更改测试者认证申请审核状态
export function changeTAStatus(data) {
  return request({
    url: '/tester/TesterApply/changeApprovalStatus',
    method: 'put',
    data: data
  })
}

// 删除测试者认证申请
export function delTesterApply(applyId) {
  return request({
    url: '/tester/TesterApply/' + applyId,
    method: 'delete'
  })
}

// 导出测试者认证申请
export function exportTesterApply(query) {
  return request({
    url: '/tester/TesterApply/export',
    method: 'get',
    params: query
  })
}

// 项目经历 工作经历 教育经历添加
export function couldInfoAdd(data) {
  return request({
    url: '/personal/case/add',
    method: 'post',
    data
  })
}
// 项目经历 工作经历 教育经历修改
export function couldInfoUpdate(data) {
  return request({
    url: '/personal/case/update',
    method: 'post',
    data
  })
}
// 项目经历 工作经历 教育经历删除
export function couldInfoDelete(id) {
  return request({
    url: '/personal/case/' + id,
    method: 'delete',
    id
  })
}


// 个人简介添加
export function couldUserInfoAdd(data) {
  return request({
    url: '/tester/cert/profile',
    method: 'post',
    data
  })
}

// 查询简历信息
export function getCloudAll(id) {
  return request({
    url: '/personal/resume/'+id,
    method: 'get',
  })
}

// 证书新增
export function couldBookAdd(data) {
  return request({
    url: '/tester/cert/credentials',
    method: 'post',
    data
  })
}
// 证书修改
export function couldBookUpdate(data) {
  return request({
    url: '/tester/cert/credentials/edit',
    method: 'post',
    data
  })
}

// 提交审核
export function couldApply(data) {
  return request({
    url: '/tester/cert/audit',
    method: 'post',
    data
  })
}

// 删除证书
export function delBook(id) {
  return request({
    url: '/tester/cert/credentials/' + id,
    method: 'delete',
  })
}


// 多条记录添加
export function addLists(data) {
  return request({
    url: '/personal/case/addBatch',
    method: 'post',
    data
  })
}
export function updateLists(data) {
  return request({
    url: '/personal/case/updateBatch',
    method: 'post',
    data
  })
}